Debian Bug report logs - #665721
[cmake] error when finding postgresql package

version graph

Package: cmake; Maintainer for cmake is Modestas Vainius <modax@debian.org>; Source for cmake is src:cmake.

Reported by: Pere Nubiola i Radigales <pere@nubiola.cat>

Date: Sun, 25 Mar 2012 12:42:22 UTC

Severity: normal

Tags: confirmed, patch

Found in versions cmake/2.8.7-4, cmake/2.8.8-1

Fixed in version cmake/2.8.9-1

Done: Modestas Vainius <modax@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#665721; Package cmake. (Sun, 25 Mar 2012 12:42:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pere Nubiola i Radigales <pere@nubiola.cat>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Sun, 25 Mar 2012 12:42:31 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pere Nubiola i Radigales <pere@nubiola.cat>
To: submit@bugs.debian.org
Subject: [cmake] error when finding postgresql package
Date: Sun, 25 Mar 2012 14:22:24 +0200
Package: cmake
Version: 2.8.7-4
Severity: normal

--- Please enter the report below this line. ---
When executing the command find_package(PostgreSQL REQUIRED) cmake produces the following error:
CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:91 (MESSAGE):
  Could NOT find PostgreSQL (missing: PostgreSQL_TYPE_INCLUDE_DIR)
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:252 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake-2.8/Modules/FindPostgreSQL.cmake:159 (find_package_handle_standard_args)
  src/test/CMakeLists.txt:2 (find_package)

Temporaly, I am solved inserting :
  if ( PostgreSQL_TYPE_INCLUDE_DIR )
  else ( PostgreSQL_TYPE_INCLUDE_DIR)
    set ( PostgreSQL_TYPE_INCLUDE_DIR ${PostgreSQL_INCLUDE_DIR})
  endif ( PostgreSQL_TYPE_INCLUDE_DIR )
 
before:
find_path(PostgreSQL_TYPE_INCLUDE_DIR

--- System information. ---
Architecture: amd64
Kernel:       Linux 3.2.0-2-amd64

Debian Release: wheezy/sid
  500 unstable        ftp.caliu.cat 
  500 unstable        ftp.bg.debian.org 
  500 testing         security.debian.org 
  500 testing         ftp.caliu.cat 
  500 stable          ftp.es.debian.org 
  500 stable          dl.google.com 
    1 experimental    ftp.caliu.cat 

--- Package information. ---
Depends                    (Version) | Installed
====================================-+-===============
libarchive12                         | 3.0.3-7
libc6                       (>= 2.7) | 2.13-27
libcurl3-gnutls          (>= 7.16.2) | 7.24.0-1
libexpat1                (>= 1.95.8) | 2.0.1-7.2
libgcc1                 (>= 1:4.1.1) | 1:4.6.3-1
libstdc++6                  (>= 4.6) | 4.6.3-1
libxmlrpc-core-c3                    | 1.16.33-3.1
zlib1g                (>= 1:1.2.3.3) | 1:1.2.6.dfsg-2
cmake-data               (= 2.8.7-4) | 2.8.7-4
procps                               | 1:3.3.2-3


Package's Recommends field is empty.

Suggests      (Version) | Installed
=======================-+-===========
gcc                     | 4:4.6.2-4
make                    | 3.82-1








Added tag(s) confirmed. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 16:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#665721; Package cmake. (Sun, 29 Apr 2012 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pere Nubiola i Radigales <perico@nubiola.cat>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Sun, 29 Apr 2012 09:57:17 GMT) Full text and rfc822 format available.

Message #12 received at 665721@bugs.debian.org (full text, mbox):

From: Pere Nubiola i Radigales <perico@nubiola.cat>
To: Debian Bug Tracking System <665721@bugs.debian.org>
Subject: Re: [cmake] error when finding postgresql package (Solved)
Date: Sun, 29 Apr 2012 11:48:32 +0200
Package: cmake
Version: 2.8.8-1
Followup-For: Bug #665721

Dear Maintainer,

to assign the variable 'postgreSQL_TYPE_INCLUDE _DIR', the module use $ {}
PostgreSQL_ROOT_DIRECTORIES, undefined, and the 'PATH_SUFFIXES':
pgsql/server
postgresql/server
include/server

Executing in my system
~$ find /usr/include -iname pg_type.h
/usr/include/postgresql/catalog/pg_type.h
/usr/include/postgresql/9.1/server/catalog/pg_type.h

and postgresql path suffix is not in the list.

Only need to add it and the command become like this

find_path(PostgreSQL_TYPE_INCLUDE_DIR
  NAMES catalog/pg_type.h
  PATHS
   # Look in other places.
   ${PostgreSQL_ROOT_DIRECTORIES}
  PATH_SUFFIXES
    postgresql
    pgsql/server
    postgresql/server
    include/server
  # Help the user find it if we cannot.
  DOC "The ${PostgreSQL_INCLUDE_DIR_MESSAGE}"
)




-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cmake depends on:
ii  cmake-data         2.8.8-1
ii  libarchive12       3.0.4-1
ii  libc6              2.13-30
ii  libcurl3-gnutls    7.25.0-1
ii  libexpat1          2.1.0-1
ii  libgcc1            1:4.7.0-4
ii  libstdc++6         4.7.0-4
ii  libxmlrpc-core-c3  1.16.33-3.1
ii  procps             1:3.3.2-3
ii  zlib1g             1:1.2.6.dfsg-2

cmake recommends no packages.

Versions of packages cmake suggests:
ii  gcc   4:4.7.0-4exp1
ii  make  3.82-1

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#665721; Package cmake. (Thu, 14 Jun 2012 12:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregor Jasny <gjasny@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Thu, 14 Jun 2012 12:33:20 GMT) Full text and rfc822 format available.

Message #17 received at 665721@bugs.debian.org (full text, mbox):

From: Gregor Jasny <gjasny@googlemail.com>
To: control@bugs.debian.org, 665721@bugs.debian.org
Subject: Patch
Date: Thu, 14 Jun 2012 14:24:04 +0200
[Message part 1 (text/plain, inline)]
tags 665721 + patch
thanks

Hello,

I've created a patch as described by Pere.

Thanks,
Gregor
[FindPostgreSQL_#665721.diff (text/plain, attachment)]

Added tag(s) patch. Request was from Gregor Jasny <gjasny@googlemail.com> to control@bugs.debian.org. (Thu, 14 Jun 2012 12:35:21 GMT) Full text and rfc822 format available.

Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Sat, 18 Aug 2012 20:51:03 GMT) Full text and rfc822 format available.

Notification sent to Pere Nubiola i Radigales <pere@nubiola.cat>:
Bug acknowledged by developer. (Sat, 18 Aug 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #24 received at 665721-close@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: 665721-close@bugs.debian.org
Subject: Bug#665721: fixed in cmake 2.8.9-1
Date: Sat, 18 Aug 2012 20:47:46 +0000
Source: cmake
Source-Version: 2.8.9-1

We believe that the bug you reported is fixed in the latest version of
cmake, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665721@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Modestas Vainius <modax@debian.org> (supplier of updated cmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Aug 2012 23:13:37 +0300
Source: cmake
Binary: cmake cmake-data cmake-curses-gui cmake-qt-gui cmake-doc cmake-dbg
Architecture: source amd64 all
Version: 2.8.9-1
Distribution: unstable
Urgency: low
Maintainer: Modestas Vainius <modax@debian.org>
Changed-By: Modestas Vainius <modax@debian.org>
Description: 
 cmake      - cross-platform, open-source make system
 cmake-curses-gui - curses based user interface for CMake (ccmake)
 cmake-data - CMake data files (modules, templates and documentation)
 cmake-dbg  - debugging symbols for CMake
 cmake-doc  - extended documentation in various formats for CMake
 cmake-qt-gui - Qt4 based user interface for CMake (cmake-gui)
Closes: 665721 684956
Changes: 
 cmake (2.8.9-1) unstable; urgency=low
 .
   * New upstream release (no upstream changes since RC3).
   * Make FindPostgreSQL find headers on Debian. Thanks to Pere Nubiola i
     Radigales and Gregor Jasny. (Closes: #665721)
     Patch: FindPostgreSQL_665721.diff
   * Refresh patches.
   * Install to multiarch libdir on kFreeBSD and Hurd like on Linux. Thanks
     to John Stamp (Closes: #684956)
     Patch: install_to_multiarch_libdir_on_kfreebsd_hurd.diff
Checksums-Sha1: 
 6a2675c9376162cc34ee7cd6a1d50a46db23fffc 1663 cmake_2.8.9-1.dsc
 b96663c0757a5edfbddc410aabf7126a92131e2b 5658837 cmake_2.8.9.orig.tar.gz
 0412166e4d72c5773a3690cf91213c39de61f3fa 25745 cmake_2.8.9-1.debian.tar.gz
 b61868e998b1d1accba2dc40ebe34cb2a958d088 4730136 cmake_2.8.9-1_amd64.deb
 85f33c5f0589377e1b32a90018490f209399ba72 1359336 cmake-data_2.8.9-1_all.deb
 d0ed581fc49994354c9649a80b0e57088c99e772 1380680 cmake-curses-gui_2.8.9-1_amd64.deb
 8f5c9cb7f63e7bcc176c10f95902c561beb42f86 1452910 cmake-qt-gui_2.8.9-1_amd64.deb
 7fe5ea57eb4ba82ec82d6f6abd61770d9c52f63e 1842670 cmake-doc_2.8.9-1_all.deb
 4148ebf51c385b60bc04d79892fe961d93dc5fff 72214714 cmake-dbg_2.8.9-1_amd64.deb
Checksums-Sha256: 
 bc5f762d223bd3854b58a1a5fdd76c7bcc3aedf54afc798173314632b298ee70 1663 cmake_2.8.9-1.dsc
 dc3dcc7399be8636471975f955086cdf800739862c240858a98e89719e45e6f9 5658837 cmake_2.8.9.orig.tar.gz
 376a76a59c53b795cff47ad062e969099f0ceabdaab3691f33ed5e9da5a3c3c1 25745 cmake_2.8.9-1.debian.tar.gz
 f9bf18e0b7f12031b9fc5ad56eab168d4f9d95096a18737a981eb37f296f59cf 4730136 cmake_2.8.9-1_amd64.deb
 2422c72b61d427db80fd4f09e0b276b90718f3623c3f22c7e141df4c196a5542 1359336 cmake-data_2.8.9-1_all.deb
 a8db4d533b76ca118e0af165e66ea14bc491bbea45ff14df95ba0bf2c7a9e5f0 1380680 cmake-curses-gui_2.8.9-1_amd64.deb
 9ec7e62228af917d1009abf3e920f8b657bd73c8811b7d6e476fa3dc16b7243d 1452910 cmake-qt-gui_2.8.9-1_amd64.deb
 6b8a2aa0122f2ea43a233dbde30e640355c0063ecbd1859a0b0b69194129b8ed 1842670 cmake-doc_2.8.9-1_all.deb
 b8ca5bebf43cd16eadc0fe5e044fbdc62504b2b7f1f0ec6bae52fc0cc8901117 72214714 cmake-dbg_2.8.9-1_amd64.deb
Files: 
 6edd1f52c5a192e3d0b2f557e7ab083e 1663 devel optional cmake_2.8.9-1.dsc
 801f4c87f8b604f727df5bf1f05a59e7 5658837 devel optional cmake_2.8.9.orig.tar.gz
 360841a0a6ebf68b21731f974807a180 25745 devel optional cmake_2.8.9-1.debian.tar.gz
 353b99df764cb75d73bec53740622465 4730136 devel optional cmake_2.8.9-1_amd64.deb
 2c2b938aa24ec57dcb79133497fabbe6 1359336 devel optional cmake-data_2.8.9-1_all.deb
 b79825a3b9657b69e90f452ee47c5d27 1380680 devel optional cmake-curses-gui_2.8.9-1_amd64.deb
 6dfe890ba2e75f99bd76905d499b1b0c 1452910 devel optional cmake-qt-gui_2.8.9-1_amd64.deb
 3163fea175a73f116a57c12ca610e85a 1842670 doc optional cmake-doc_2.8.9-1_all.deb
 9adc5a4ad14d3924d7a97bd84fb39695 72214714 debug extra cmake-dbg_2.8.9-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAv+iUACgkQHO9JRnPq4hRAPACeMhKXBP5gAEQXJl6CVVPXBky0
EAcAnRP8S4cBcc1RcKP4/J22V9IuC0+w
=7Umb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Nov 2012 07:26:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:11:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.